Package com.mckoi.database

## Class ConnectionTriggerManager

- java.lang.Object
- - com.mckoi.database.ConnectionTriggerManager

    public final class ConnectionTriggerManager
    extends java.lang.Object

A trigger manager on a DatabaseConnection that maintains a list of all triggers set in the database, and the types of triggers they are. This object is closely tied to a DatabaseConnection.

The trigger manager actually uses a trigger itself to maintain a list of tables that have triggers, and the action to perform on the trigger.

Author:
  Tobias Downer

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `createTableTrigger​(java.lang.String schema, java.lang.String name, int type, TableName on_table, java.lang.String procedure_name, TObject[] params)` Creates a new trigger action on a stored procedure and makes the change to the transaction of this DatabaseConnection.
`void` `dropTrigger​(java.lang.String schema, java.lang.String name)` Drops a trigger that has previously been defined.
`boolean` `triggerExists​(java.lang.String schema, java.lang.String name)` Returns true if the trigger exists, false otherwise.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### createTableTrigger

    public void createTableTrigger​(java.lang.String schema,
                                   java.lang.String name,
                                   int type,
                                   TableName on_table,
                                   java.lang.String procedure_name,
                                   TObject[] params)
                            throws DatabaseException

Creates a new trigger action on a stored procedure and makes the change to the transaction of this DatabaseConnection. If the connection is committed then the trigger is made a perminant change to the database.

Parameters:
  `schema` - the schema name of the trigger.
  `name` - the name of the trigger.
  `type` - the type of trigger.
  `procedure_name` - the name of the procedure to execute.
  `params` - any constant parameters for the triggering procedure.
Throws:
  `DatabaseException`

#### dropTrigger

    public void dropTrigger​(java.lang.String schema,
                            java.lang.String name)
                     throws DatabaseException

Drops a trigger that has previously been defined.

Throws:
  `DatabaseException`

#### triggerExists

    public boolean triggerExists​(java.lang.String schema,
                                 java.lang.String name)

Returns true if the trigger exists, false otherwise.